Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1292111 (iris-qt5) - RFE: Support for Qt5
Summary: RFE: Support for Qt5
Keywords:
Status: CLOSED WONTFIX
Alias: iris-qt5
Product: Fedora
Classification: Fedora
Component: iris
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1264097 1264110 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-16 13:56 UTC by Raphael Groner
Modified: 2018-08-30 14:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 14:25:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1510100 None None None Never

Internal Links: 1510100

Description Raphael Groner 2015-12-16 13:56:20 UTC
Description of problem:
We need support for qt5, that means please provide a package named iris-qt5-devel incl. working pkgconfig support (or better also cmake find_package).

Version-Release number of selected component (if applicable):
rawhide

How reproducible:
-

Steps to Reproduce:
1. dnf install 'pkgconfig(iris-qt5)'
2.
3.

Actual results:
no package found

Expected results:
package gets installed properly

Additional info:

Comment 1 Raphael Groner 2015-12-16 13:58:54 UTC
*** Bug 1264110 has been marked as a duplicate of this bug. ***

Comment 2 Raphael Groner 2015-12-16 13:59:16 UTC
*** Bug 1264097 has been marked as a duplicate of this bug. ***

Comment 3 Raphael Groner 2015-12-16 13:59:46 UTC
Upstream is asked about unbundling:
https://github.com/psi-im/iris/issues/31

Comment 4 Raphael Groner 2016-03-28 08:04:41 UTC
ping? Any news here? Upstream of psi-plus plans to release 0.16 finally with unbundling of iris, see also (blocked) bug #1292095.

Comment 5 Rex Dieter 2016-03-28 11:40:29 UTC
No news

Comment 6 Rex Dieter 2016-03-28 11:41:08 UTC
Besides, this isn't a blocker, psi-plus currently bundles iris, it can continue to do so for any new Qt5 build you work on in the short-term, can't it?

Comment 7 Raphael Groner 2016-03-28 13:28:31 UTC
The blocked bug is about traversal of psi-plus build system to use cmake-qt5, also at upstream. Therefore, we need unbundled libs, such as iris also.

Comment 8 Rex Dieter 2016-03-28 13:38:00 UTC
So is upstream going to unbundle from psi-plus?

That means they need to also actually make a formal/separate iris release too, is that planned?  If so, when?

Comment 9 Raphael Groner 2016-03-28 13:55:30 UTC
(In reply to Rex Dieter from comment #8)
…
> That means they need to also actually make a formal/separate iris release
> too, is that planned?  If so, when?

As said, it's *expected* with the (hopefully now for real) promised and long awaited psi-plus 0.16 release, officially. There is an upstream issue about it that sounds quite interesting.
https://bugzilla.redhat.com/show_bug.cgi?id=1292095#c6

Comment 10 Rex Dieter 2016-03-28 14:00:17 UTC
OK, so when/if a new iris release happens, then I will commit to supporting Qt5 in fedora's iris packaging

Comment 11 Raphael Groner 2016-03-28 14:19:39 UTC
That sounds like a plan to me. Thanks.

Comment 12 Rex Dieter 2017-02-15 15:23:17 UTC
I refreshed iris snapshot in rawhide... mostly because there was a related security issue and kde upstream (where kopete bundles a copy of iris) had some inquiries about unbundling iris.

So, ended up taking a closer look at iris buildsystem (while rebasing patches).

Looks like the next major hurdle will be making iris' Qt5 build parallel-installable with Qt4 iris.

Comment 13 Raphael Groner 2018-08-30 00:16:52 UTC
IMHO we should close here as WONTFIX because nothing happened so far at upstream towards parallel installation for both qt4 and qt5. Any objections?

Comment 14 Rex Dieter 2018-08-30 14:25:44 UTC
that fine (for now).

We can revisit things when/if upstream psi and/or iris actually does anything to require action on our part.


Note You need to log in before you can comment on or make changes to this bug.